## mycompiler.mytypereconstruction.typeassumption
Class CMethodTypeAssumption

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
          mycompiler.mytypereconstruction.typeassumption.CMethodTypeAssumption

All Implemented Interfaces:
  IHashSetElement

    public class CMethodTypeAssumption

extends CTypeAssumption

Version:
  $Date: 2005/06/28 19:19:09 $
Author:
  J�rg B�uerle

Field Summary
`protected de.dhbwstuttgart.typeinference.Menge<CParaTypeAssumption>` `m_ParaAssumptions`

Fields inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`m_AssumedType, m_ClassName, m_Identifier, m_LineNumber`

Constructor Summary
`CMethodTypeAssumption(java.lang.String className, java.lang.String identifier, Type assumedType, int lineNumber)`

Method Summary
`void` `addParaAssumption(CParaTypeAssumption paraAssumption)`
`CMethodTypeAssumption` `clone()` Author: J�rg B�uerle
`boolean` `equalsAssumption(CTypeAssumption assumption)` Author: J�rg B�uerle
`CMethodKey` `getHashSetKey()` Author: J�rg B�uerle
`CParaTypeAssumption` `getParaAssumption(int index)`
`de.dhbwstuttgart.typeinference.Menge<CParaTypeAssumption>` `getParaAssumptions()` Author: J�rg B�uerle
`int` `getParaCount()` Author: J�rg B�uerle
`void` `sub(CSubstitution substitution)`
`java.lang.String` `toString()`

Methods inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`equals, getAssumedType, getClassName, getIdentifier, getLineNumber, isTyploseVariable, print, setAssumedType, setClassName, setIdentifier, setLineNumber, sub`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ParaAssumptions

    protected de.dhbwstuttgart.typeinference.Menge<CParaTypeAssumption> m_ParaAssumptions

Constructor Detail

### CMethodTypeAssumption

    public CMethodTypeAssumption(java.lang.String className,
                                 java.lang.String identifier,
                                 Type assumedType,
                                 int lineNumber)

Method Detail

### getParaCount

    public int getParaCount()

  Author: J�rg B�uerle

  Returns:
    Returns the ParaCount.

### addParaAssumption

    public void addParaAssumption(CParaTypeAssumption paraAssumption)

### getParaAssumption

    public CParaTypeAssumption getParaAssumption(int index)

### getParaAssumptions

    public de.dhbwstuttgart.typeinference.Menge<CParaTypeAssumption> getParaAssumptions()

  Author: J�rg B�uerle

  Returns:
    Returns the m_ParaAssumptions.

### sub

    public void sub(CSubstitution substitution)

  Overrides:
    `sub` in class `CTypeAssumption`

### equalsAssumption

    public boolean equalsAssumption(CTypeAssumption assumption)

  Author: J�rg B�uerle

  Specified by:
    `equalsAssumption` in class `CTypeAssumption`
  Parameters:
    `assumption` -
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CTypeAssumption`

### getHashSetKey

    public CMethodKey getHashSetKey()

  Author: J�rg B�uerle

  Specified by:
    `getHashSetKey` in interface `IHashSetElement`
  Specified by:
    `getHashSetKey` in class `CTypeAssumption`
  Returns:

### clone

    public CMethodTypeAssumption clone()

  Author: J�rg B�uerle

  Specified by:
    `clone` in class `CTypeAssumption`
  Returns: